@charset "UTF-8";
/* @import url(https://fonts.googleapis.com/earlyaccess/notosanstc.css); */

/* CSS Document */
/* allpage */
/* all */
:root {
    --type-a: linear-gradient(to bottom, #fff5ef 0%, #fff4f4 50%, #fff8f4 50%, #ffe2d3 51%, #fff5f2 100%);
    --texture-1: linear-gradient(315deg, transparent, transparent 14%, rgba(255, 255, 255, 0.7) 34%, transparent 0, hsla(0, 0%, 100%, 0.7) 56%, transparent 0, hsla(0, 0%, 100%, 0.7));
    --gradient-4: linear-gradient(0deg, #ffe0ce, #ffcbb4);
    --border: linear-gradient(to bottom, #ffeee0 0%, #ffded1 11%, #ffbea3 25%, #ffbda5 38%, #ffb999 50%, #ffaa8c 51%, #f9c8b1 83%, #ffe8e0 100%);
    --box-shadow-1: 0 2px 4px 0 #d7c5bd;
    /* --color-bg:#0F0F14; */
    --color-bg: #16161c;
    --color-nav: #1A1A22;
    --color-btn: #ff230acc;
    --color-w100: #ffffff;
    --color-w65: #ffffffc7;
    --color-w25: #ffffff40;
    --color-w23: #ffffff3b;
    --color-w18: #ffffff2e;
    --color-w10: #ffffff1a;
    --color-b19: #00000030;
    --color-b44: #00000070;
    --color-r19: #ff000030;
    --color-r67: #ff0000ab;
}

/* option test */
.form-control option {
  background-color: #222; /* 深色背景 */
  color: #fff;            /* 白色文字 */
  border: 1px solid #555; /* 邊框顏色可自行調整 */
}

#Slot,#Casino,#Sport,#Keno,#Chess {
  scroll-margin-top: 72px;
}

*:hover {
    transition: 0.3s;
}

/* body.no-scroll {
    overflow: hidden; 
  } */

html {
    height: 100svh;
    overflow: hidden;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

body {
    overflow: auto;
    height: 100svh;
    caret-color: auto;
    /* 預設由瀏覽器處理 */
     overscroll-behavior: contain; /* ✅ 阻止滾動穿透 + 橡皮筋 */
  -webkit-overflow-scrolling: touch; /* ✅ 手機正常滑動但不彈性 */
  touch-action: pan-y; /* ✅ 只允許垂直拖動 */
}

/* 移除非輸入類元件的焦點邊框 */
*:not(input):not(textarea):not([contenteditable]) {
    outline: none;
}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
    display: none;
    /* Chrome/Safari */
}

::-webkit-scrollbar {
    display: none;
    /*隱藏滾輪*/
}

/* 移除自動帶入樣式 */
input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset !important;
    box-shadow: 0 0 0px 1000px white inset !important;
    background-color: white !important;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

input {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

#loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #0d0d0d;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    user-select: none;
    /* 無法選取 */
    pointer-events: none;
    /* 點擊事件穿透遮罩 */
}

#loadOut {
    display: none;
}

.loading-page {
    background: #0d0d0d;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading-page .counter {
    text-align: center;
}

.loading-page .counter span {
    color: white;
    font-size: 1.3rem;
    margin-top: -4px;
}

.loading-page .counter hr {
    background: var(--color-btn);
    border: none;
    height: 1px;
}

.loading-page .counter {
    position: relative;
    width: 200px;
}

.counter>.logo-size {
    padding: 0;
}

html {
    scroll-behavior: smooth;
    font-size: 16px;
}

body {
    margin: 0;
    font-family: 'Noto Sans TC', sans-serif;
    box-sizing: border-box;
    letter-spacing: 0.05rem;
    background-color: var(--color-bg) !important;
    color: var(--color-w100);
}

div {
    box-sizing: border-box;
}

ul {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style: none;
}

a {
    text-decoration-line: none;
    cursor: pointer;
}

button {
    border: none;
    padding: 0;
}

input::placeholder {
    color: var(--color-w65);
}

.hide {
    display: none;
}

.block {
    display: block;
}

.disabled {
    cursor: not-allowed;
}

.red {
    color: var(--color-btn);
}

.white {
    color: var(--color-w100);
}

.green {
    color: #00d500;
}

.margin-T8 {
    margin-top: 8px;
}

.margin-B16 {
    margin-bottom: 16px;
}

.margin-right {
    margin-right: 4px;
}

.btn {
    width: auto;
    height: 40px;
    cursor: pointer;
    background-color: transparent;
    padding: 0 0.8rem;
}

.highlight-t {
    font-size: larger;
    font-weight: bold;
}

.promo-popup td,
.promo-popup th {
    padding: 5px;
}



#registerModal2 input:-webkit-autofill,
#loginModal2 input:-webkit-autofill {
    box-shadow: 0 0 0px 1000px var(--color-nav) inset !important;
    -webkit-box-shadow: 0 0 0px 1000px var(--color-nav) inset !important;
    -webkit-text-fill-color: #fff !important;
    /* 保持文字顏色 */
    border-color: #777 !important;
    /* 保持邊框顏色 */
    transition: background-color 5000s ease-in-out 0s;
}

@media screen and (max-width:767px) {
    html {
        font-size: 15px;
    }
}